libraw1394: version 2.0.4
Prev |  | Next

# raw1394_start_fcp_listen

## Name

raw1394_start_fcp_listen -- enable reception of FCP events

## Synopsis

``int raw1394_start_fcp_listen` (raw1394handle_t handle);`

## Arguments

`handle`

  libraw1394 handle

## Description

FCP = Function Control Protocol (see IEC 61883-1) Enables the reception of FCP events (writes to the FCP_COMMAND or FCP_RESPONSE address ranges) on `handle`. FCP requests are then passed to the callback specified with `raw1394_set_fcp_handler`.

## Returns

0 on success or -1 on failure (sets errno)

Prev | Home | Next
raw1394_async_send | Up | raw1394_stop_fcp_listen